javax.servlet.jsp.tagext

## Interface JspIdConsumer

- All Known Implementing Classes:
    UIComponentBodyTag, UIComponentClassicTagBase, UIComponentELTag, UIComponentTag

      public interface JspIdConsumer

  This interface indicates to the container that a tag handler wishes to be provided with a compiler generated ID.

  The container sets the `jspId` attribute of the tag handler with an identification string, as part of tag property initialization. Each tag in a JSP page has a unique `jspId`, and a given tag in a JSP page always has the same `jspId`, even for multiple requests to the page.

  Tag handler instances that implement `JspIdConsumer` cannot be reused.

  Even though the `jspId` attribute is similar in concept to the `jsp:id` attribute of an XML view (see Section JSP.10.1.13 of the spec), they are not related. The `jsp:id` attribute is available only at translation time, and the `jspId` attribute is avalable only at request time.

  The JSP container must provide a value for `jspId` that conforms to the following rules:

  - It must start with a letter (as defined by the `Character.isLetter()` method) or underscore ('_').
  - Subsequent characters may be letters (as defined by the `Character.isLetter()` method), digits (as defined by the `Character.isDigit()` method), dashes ('-'), or underscores ('_')

  Note that the rules exclude colons ':' in a `jspId`, and that they are the same rules used for a component ID in JavaServer Faces.

  Since:
    JSP 2.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setJspId(String id)` Called by the container generated code to set a value for the jspId attribute.

- - ### Method Detail

    - #### setJspId

          void setJspId(String id)

      Called by the container generated code to set a value for the jspId attribute. An unique identification string, relative to this page, is generated at translation time.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.